My Oracle Support Banner

E-DPK PT 8.57.xx Installation Without Using Oracle Delivered Puppet Version (Doc ID 2596009.1)

Last updated on MARCH 08, 2021

Applies to:

PeopleSoft Enterprise PT PeopleTools - Version 8.57 and later
Information in this document applies to any platform.

Symptoms

ERROR:

Run ./psft-dpk-setup.sh --prereq --syscfg using the ROOT user.

/psft-dpk-setup.sh --prereq ?syscfg
Found another version of Puppet [6.4.2]  at /opt/puppetlabs/bin/puppet
Puppet 5.3.5 is recommended if PeopleSoft environment
needs to be set up on this host.
Do you want to proceed with the Puppet 5.3.5 Installation? [Y|n]: n

                                                             
Verifying if eYAML Hiera Backend is Installed:
Installing eYAML Hiera Backend on the Linux Host:                   [ OK  ]
Setting up Puppet on the Linux VM:
Generating eYAML Hiera Backend Encryption Keys:                    [  OK  ]
Updating the Puppet Hiera YAML Files in the Linux VM:              [  OK  ]
Updating the Role in Puppet Site File for the Linux VM:              [  OK  ]
Setting up System Settings:                                                   [FAILED]

Ending the PeopleSoft environment prerequisite steps by root 






Changes

 

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Changes
Cause
Solution
References


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.